# Getting Started

In this guide we show how to use it.

A sample application is available at: <https://github.com/blocto/blocto-unity-sdk>

### Requirements <a href="#requirements-a-hrefrequirements-idrequirementsa" id="requirements-a-hrefrequirements-idrequirementsa"></a>

* .Net Core version >= 2.1
* iOS version >= 13
* Android version >= 7.1

### Release Page <a href="#release-page" id="release-page"></a>

Portto.Blocto.Core and Portto.Blocto.Solana is available through [github](https://github.com/blocto/blocto-unity-sdk/releases). You can download at github [release page](https://github.com/blocto/blocto-unity-sdk/releases)

* [Portto.Blocto.Core](/~/changes/lJG0Ie43hDo96Dq7BMVa/blocto-sdk/unity-sdk/prerequisite.md#latest-version)
* [Portto.Blocto.Aptos](/~/changes/lJG0Ie43hDo96Dq7BMVa/blocto-sdk/unity-sdk/prerequisite.md)

### Import .unitypackage <a href="#import-unitypackage" id="import-unitypackage"></a>

You can import **Custom Packages**, which are made by portto using Unity. More description at [unity document](https://docs.unity3d.com/Manual/AssetPackagesImport.html).

Choose **Assets > Import Package >** to import both types of package.

### Wallet Provider

1. [Register app id](https://docs.blocto.app/blocto-sdk/register-app-id) (bloctoSDKAppId) in order to init `BloctoWalletProvider`
2. Create `BloctoWalletProvider` instance.

```csharp
using Blocto.Sdk.Core.Extension;
using Blocto.Sdk.Core.Utility;
using Blocto.Sdk.Aptos;
        
_bloctoWalletProvider = BloctoWalletProvider.CreateBloctoWalletProvider(
            gameObject: gameObject,
            env: EnvEnum.Mainnet,
            bloctoAppIdentifier:Guid.Parse("your appId")
        ); 
```

Both EnvEnum.Testnet and EnvEnum.Devnet use Aptos testnet.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.blocto.app/~/changes/lJG0Ie43hDo96Dq7BMVa/blocto-sdk/unity-sdk/aptos/getting-started.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
